Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.aci.constants
Class IDOLLanguages

    java.lang.Object
      com.autonomy.aci.constants.IDOLLanguages

public class IDOLLanguages
extends java.lang.Object

The languages supported by IDOL.

Field Summary
`static java.lang.String` | `AFRIKAANS`
`static java.lang.String` | `ALBANIAN`
`static java.lang.String` | `ARABIC`
`static java.lang.String` | `AZERI`
`static java.lang.String` | `BASQUE`
`static java.lang.String` | `BELARUSSIAN`
`static java.lang.String` | `BULGARIAN`
`static java.lang.String` | `CATALA`
`static java.lang.String` | `CHINESE`
`static java.lang.String` | `CROATIAN`
`static java.lang.String` | `CZECH`
`static java.lang.String` | `DANISH`
`static java.lang.String` | `DUTCH`
`static java.lang.String` | `ENGLISH`
`static java.lang.String` | `ESTONIAN`
`static java.lang.String` | `FAROESE`
`static java.lang.String` | `FINNISH`
`static java.lang.String` | `FRENCH`
`static java.lang.String` | `GALICIAN`
`static java.lang.String` | `GERMAN`
`static java.lang.String` | `GREEK`
`static java.lang.String` | `GREENLANDIC`
`static java.lang.String` | `HEBREW`
`static java.lang.String` | `HUNGARIAN`
`static java.lang.String` | `ICELANDIC`
`static java.lang.String` | `INDONESIAN`
`static java.lang.String` | `ITALIAN`
`static java.lang.String` | `JAPANESE`
`static java.lang.String` | `KAZAKH`
`static java.lang.String` | `KOREAN`
`static java.lang.String` | `KYRGYZ`
`static java.lang.String` | `LAPPISH`
`static java.lang.String` | `LATVIAN`
`static java.lang.String` | `LITHUANIAN`
`static java.lang.String` | `MACEDONIAN`
`static java.lang.String` | `MALAY`
`static java.lang.String` | `MAORI`
`static java.lang.String` | `MONGOLIAN`
`static java.lang.String` | `NORWEGIAN`
`static java.lang.String` | `POLISH`
`static java.lang.String` | `PORTUGUESE`
`static java.lang.String` | `ROMANIAN`
`static java.lang.String` | `RUSSIAN`
`static java.lang.String` | `SERBIAN`
`static java.lang.String` | `SLOVAK`
`static java.lang.String` | `SLOVENIAN`
`static java.lang.String` | `SORBIAN`
`static java.lang.String` | `SPANISH`
`static java.lang.String` | `SWAHILI`
`static java.lang.String` | `SWEDISH`
`static java.lang.String` | `TATAR`
`static java.lang.String` | `THAI`
`static java.lang.String` | `TURKISH`
`static java.lang.String` | `UKRAINIAN`
`static java.lang.String` | `UZBEK`
`static java.lang.String` | `VIETNAMESE`
`static java.lang.String` | `WELSH`

Method Summary
`static java.lang.String[]` | `getLanguageArray()` Gives the possible IDOL languages as a `String` array.
`static java.util.ArrayList` | `getLanguageList()` Gives the possible IDOL languages as an `ArrayList`.
`static boolean` | `isSupportedLanguage(java.lang.String sLanguage)` Determines if a given language is supported by IDOL.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AFRIKAANS

    public static final java.lang.String AFRIKAANS

See Also:
  Constant Field Values

### ALBANIAN

    public static final java.lang.String ALBANIAN

See Also:
  Constant Field Values

### ARABIC

    public static final java.lang.String ARABIC

See Also:
  Constant Field Values

### AZERI

    public static final java.lang.String AZERI

See Also:
  Constant Field Values

### BASQUE

    public static final java.lang.String BASQUE

See Also:
  Constant Field Values

### BELARUSSIAN

    public static final java.lang.String BELARUSSIAN

See Also:
  Constant Field Values

### BULGARIAN

    public static final java.lang.String BULGARIAN

See Also:
  Constant Field Values

### CATALA

    public static final java.lang.String CATALA

See Also:
  Constant Field Values

### CHINESE

    public static final java.lang.String CHINESE

See Also:
  Constant Field Values

### CROATIAN

    public static final java.lang.String CROATIAN

See Also:
  Constant Field Values

### CZECH

    public static final java.lang.String CZECH

See Also:
  Constant Field Values

### DANISH

    public static final java.lang.String DANISH

See Also:
  Constant Field Values

### DUTCH

    public static final java.lang.String DUTCH

See Also:
  Constant Field Values

### ENGLISH

    public static final java.lang.String ENGLISH

See Also:
  Constant Field Values

### ESTONIAN

    public static final java.lang.String ESTONIAN

See Also:
  Constant Field Values

### FAROESE

    public static final java.lang.String FAROESE

See Also:
  Constant Field Values

### FINNISH

    public static final java.lang.String FINNISH

See Also:
  Constant Field Values

### FRENCH

    public static final java.lang.String FRENCH

See Also:
  Constant Field Values

### GALICIAN

    public static final java.lang.String GALICIAN

See Also:
  Constant Field Values

### GERMAN

    public static final java.lang.String GERMAN

See Also:
  Constant Field Values

### GREEK

    public static final java.lang.String GREEK

See Also:
  Constant Field Values

### GREENLANDIC

    public static final java.lang.String GREENLANDIC

See Also:
  Constant Field Values

### HEBREW

    public static final java.lang.String HEBREW

See Also:
  Constant Field Values

### HUNGARIAN

    public static final java.lang.String HUNGARIAN

See Also:
  Constant Field Values

### ICELANDIC

    public static final java.lang.String ICELANDIC

See Also:
  Constant Field Values

### INDONESIAN

    public static final java.lang.String INDONESIAN

See Also:
  Constant Field Values

### ITALIAN

    public static final java.lang.String ITALIAN

See Also:
  Constant Field Values

### JAPANESE

    public static final java.lang.String JAPANESE

See Also:
  Constant Field Values

### KAZAKH

    public static final java.lang.String KAZAKH

See Also:
  Constant Field Values

### KOREAN

    public static final java.lang.String KOREAN

See Also:
  Constant Field Values

### KYRGYZ

    public static final java.lang.String KYRGYZ

See Also:
  Constant Field Values

### LAPPISH

    public static final java.lang.String LAPPISH

See Also:
  Constant Field Values

### LATVIAN

    public static final java.lang.String LATVIAN

See Also:
  Constant Field Values

### LITHUANIAN

    public static final java.lang.String LITHUANIAN

See Also:
  Constant Field Values

### MACEDONIAN

    public static final java.lang.String MACEDONIAN

See Also:
  Constant Field Values

### MALAY

    public static final java.lang.String MALAY

See Also:
  Constant Field Values

### MAORI

    public static final java.lang.String MAORI

See Also:
  Constant Field Values

### MONGOLIAN

    public static final java.lang.String MONGOLIAN

See Also:
  Constant Field Values

### NORWEGIAN

    public static final java.lang.String NORWEGIAN

See Also:
  Constant Field Values

### POLISH

    public static final java.lang.String POLISH

See Also:
  Constant Field Values

### PORTUGUESE

    public static final java.lang.String PORTUGUESE

See Also:
  Constant Field Values

### ROMANIAN

    public static final java.lang.String ROMANIAN

See Also:
  Constant Field Values

### RUSSIAN

    public static final java.lang.String RUSSIAN

See Also:
  Constant Field Values

### SERBIAN

    public static final java.lang.String SERBIAN

See Also:
  Constant Field Values

### SLOVAK

    public static final java.lang.String SLOVAK

See Also:
  Constant Field Values

### SLOVENIAN

    public static final java.lang.String SLOVENIAN

See Also:
  Constant Field Values

### SORBIAN

    public static final java.lang.String SORBIAN

See Also:
  Constant Field Values

### SPANISH

    public static final java.lang.String SPANISH

See Also:
  Constant Field Values

### SWAHILI

    public static final java.lang.String SWAHILI

See Also:
  Constant Field Values

### SWEDISH

    public static final java.lang.String SWEDISH

See Also:
  Constant Field Values

### TATAR

    public static final java.lang.String TATAR

See Also:
  Constant Field Values

### THAI

    public static final java.lang.String THAI

See Also:
  Constant Field Values

### TURKISH

    public static final java.lang.String TURKISH

See Also:
  Constant Field Values

### UKRAINIAN

    public static final java.lang.String UKRAINIAN

See Also:
  Constant Field Values

### UZBEK

    public static final java.lang.String UZBEK

See Also:
  Constant Field Values

### VIETNAMESE

    public static final java.lang.String VIETNAMESE

See Also:
  Constant Field Values

### WELSH

    public static final java.lang.String WELSH

See Also:
  Constant Field Values

Method Detail

### getLanguageList

    public static java.util.ArrayList getLanguageList()

  Gives the possible IDOL languages as an `ArrayList`.

  Returns:
    the possible IDOL languages.

### getLanguageArray

    public static java.lang.String[] getLanguageArray()

  Gives the possible IDOL languages as a `String` array.

  Returns:
    the possible IDOL languages.

### isSupportedLanguage

    public static boolean isSupportedLanguage(java.lang.String sLanguage)

  Determines if a given language is supported by IDOL.

  Parameters:
    `sLanguage` - the language to check.
  Returns:
    true if the language is supported by IDOL, false otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD